
import CliManager from './cli-manager';

async function start({ command, component, access, props }): Promise<[]> {
    const cliManager = new CliManager({ command, component, access, props });
    await cliManager.init();
    return [];
}

process.on("message", async params => {
    if (params.action === 'start') {
        const { command = '', component, access = 'default', props = '' } = params
        const result: any = await start({
            command, component, access, props
        });
        if (result.length > 0) {
            process.send({
                action: 'params',
                params: result
            });
        } else {
            process.exit(-1);
        }

    }
});