import { InitManager } from './init-manager';

async function start({ name, dir, project }): Promise<[]> {
    const initManager = new InitManager();
    return await initManager.init(name, dir, project);
}

process.on("message", async params => {
    if (params.action === 'start') {
        const { name, dir, project } = params
        const result: any = await start({
            name, dir, project
        });
        if (result.length > 0) {
            process.send({
                action: 'params',
                params: result
            });
        } else {
            process.exit(-1);
        }

    }
});